gi-gdk-3.0.16: Gdk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.Color

Contents

- Exported types
- Methods
  - copy
  - equal
  - free
  - hash
  - parse
  - toString
- Properties
  - blue
  - green
  - pixel
  - red

Description

A `Color` is used to describe a color, similar to the XColor struct used in the X11 drawing API.

Synopsis

- newtype Color = Color (ManagedPtr Color)
- newZeroColor :: MonadIO m => m Color
- noColor :: Maybe Color
- colorCopy :: (HasCallStack, MonadIO m) => Color -> m Color
- colorEqual :: (HasCallStack, MonadIO m) => Color -> Color -> m Bool
- colorFree :: (HasCallStack, MonadIO m) => Color -> m ()
- colorHash :: (HasCallStack, MonadIO m) => Color -> m Word32
- colorParse :: (HasCallStack, MonadIO m) => Text -> m (Bool, Color)
- colorToString :: (HasCallStack, MonadIO m) => Color -> m Text
- getColorBlue :: MonadIO m => Color -> m Word16
- setColorBlue :: MonadIO m => Color -> Word16 -> m ()
- getColorGreen :: MonadIO m => Color -> m Word16
- setColorGreen :: MonadIO m => Color -> Word16 -> m ()
- getColorPixel :: MonadIO m => Color -> m Word32
- setColorPixel :: MonadIO m => Color -> Word32 -> m ()
- getColorRed :: MonadIO m => Color -> m Word16
- setColorRed :: MonadIO m => Color -> Word16 -> m ()

# Exported types

newtype Color Source #

Memory-managed wrapper type.

Constructors

Color (ManagedPtr Color) |

Instances

BoxedObject Color Source # |
Instance details Defined in GI.Gdk.Structs.Color Methods boxedType :: Color -> IO GType Source #
tag ~ AttrSet => Constructible Color tag Source # |
Instance details Defined in GI.Gdk.Structs.Color Methods new :: MonadIO m => (ManagedPtr Color -> Color) -> [AttrOp Color tag] -> m Color Source #

newZeroColor :: MonadIO m => m Color Source #

Construct a `Color` struct initialized to zero.

noColor :: Maybe Color Source #

A convenience alias for `Nothing` :: `Maybe` `Color`.

# Methods

## copy

colorCopy Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Color | `color`: a `Color`
-> m Color | Returns: a copy of `color`

Deprecated: (Since version 3.14)Use `RGBA`

Makes a copy of a `Color`.

The result must be freed using `colorFree`.

## equal

colorEqual Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Color | `colora`: a `Color`
-> Color | `colorb`: another `Color`
-> m Bool | Returns: `True` if the two colors compare equal

Deprecated: (Since version 3.14)Use `RGBA`

Compares two colors.

## free

colorFree Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Color | `color`: a `Color`
-> m () |

Deprecated: (Since version 3.14)Use `RGBA`

Frees a `Color` created with `colorCopy`.

## hash

colorHash Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Color | `color`: a `Color`
-> m Word32 | Returns: The hash function applied to `color`

Deprecated: (Since version 3.14)Use `RGBA`

A hash function suitable for using for a hash table that stores `GdkColors`.

## parse

colorParse Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `spec`: the string specifying the color
-> m (Bool, Color) | Returns: `True` if the parsing succeeded

Deprecated: (Since version 3.14)Use `RGBA`

Parses a textual specification of a color and fill in the `red`, `green`, and `blue` fields of a `Color`.

The string can either one of a large set of standard names (taken from the X11 `rgb.txt` file), or it can be a hexadecimal value in the form “rrggbb”, “#rrrgggbbb” or “#rrrrggggbbbb” where “r”, “g” and “b” are hex digits of the red, green, and blue components of the color, respectively. (White in the four forms is “ffffff”, “#fffffffff” and “#ffffffffffff”).

## toString

colorToString Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Color | `color`: a `Color`
-> m Text | Returns: a newly-allocated text string

Deprecated: (Since version 3.14)Use `RGBA`

Returns a textual specification of `color` in the hexadecimal form “#rrrrggggbbbb” where “r”, “g” and “b” are hex digits representing the red, green and blue components respectively.

The returned string can be parsed by `colorParse`.

Since: 2.12

# Properties

## blue

The blue component of the color

getColorBlue :: MonadIO m => Color -> m Word16 Source #

Get the value of the “`blue`” field. When overloading is enabled, this is equivalent to

    get color #blue

setColorBlue :: MonadIO m => Color -> Word16 -> m () Source #

Set the value of the “`blue`” field. When overloading is enabled, this is equivalent to

    set color [ #blue := value ]

## green

The green component of the color

getColorGreen :: MonadIO m => Color -> m Word16 Source #

Get the value of the “`green`” field. When overloading is enabled, this is equivalent to

    get color #green

setColorGreen :: MonadIO m => Color -> Word16 -> m () Source #

Set the value of the “`green`” field. When overloading is enabled, this is equivalent to

    set color [ #green := value ]

## pixel

For allocated colors, the pixel value used to draw this color on the screen. Not used anymore.

getColorPixel :: MonadIO m => Color -> m Word32 Source #

Get the value of the “`pixel`” field. When overloading is enabled, this is equivalent to

    get color #pixel

setColorPixel :: MonadIO m => Color -> Word32 -> m () Source #

Set the value of the “`pixel`” field. When overloading is enabled, this is equivalent to

    set color [ #pixel := value ]

## red

The red component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity

getColorRed :: MonadIO m => Color -> m Word16 Source #

Get the value of the “`red`” field. When overloading is enabled, this is equivalent to

    get color #red

setColorRed :: MonadIO m => Color -> Word16 -> m () Source #

Set the value of the “`red`” field. When overloading is enabled, this is equivalent to

    set color [ #red := value ]